#include <sourcemod>


public Plugin:myinfo =
{
	name = "MOTD_Enabler",
	author = "Dmitriy Kardash (AquaBarbus)",
	description = "Checks the client variable cl_disablehtmlmotd",
	version = "1.0.0.0",
	url = "http://killserver.ru"
};

public OnClientPutInServer(client)
{
	if (IsFakeClient(client)) return;
	new clientuserid = GetClientUserId(client);
	
	CreateTimer(20.0, StartChecks, clientuserid);
}


public Action:StartChecks(Handle:timer,any:clientuserid)
{
	new client = GetClientOfUserId(clientuserid);
	if (IsFakeClient(client)) return Plugin_Continue;	

	QueryClientConVar(client, "cl_disablehtmlmotd", ConVarQueryFinished:ClientConVar, client);
	return Plugin_Continue;
}


public ClientConVar(QueryCookie:cookie, client, ConVarQueryResult:result, const String:cvarName[], const String:cvarValue[])
{
	if(StrEqual("cl_disablehtmlmotd",cvarName) && !StrEqual(cvarValue,"0"))
	{
		KickClient(client, "set in autoexec.cfg cl_disablehtmlmotd 0");
	}
}